Subject: Re: [REROLL PATCH 5/8] Support taking over transports

From: Ilari Liusvaara <[email-masked]>
Date: Wed, 9 Dec 2009 23:42:16 +0200

On Wed, Dec 09, 2009 at 01:08:44PM -0800, Junio C Hamano wrote:
> 
> Is data->out only used inside get_helper() to read the capabilities
> response?  I was confused by it being keft open until disconnect time.
 
Its used for all incoming communications from remote helper until connect
request (and even after it if falling back to dumb transport).

- In smart transport case, that includes possible servpath option.
- In non-smart case, it includes a lot more.

In fact, recvline uses exactly helper->out as stream to read.

-Ilari